<script>
import { init, refresh } from 'aos';

export default {
  beforeMount() {
    init({
      once: true,
    });
  },
  mounted() {
    refresh();
  },
};
</script>

<template>
  <div>
    <nav>
      <nuxt-img
        class="desktop"
        src="/nuxt-images/free-trial/free-trial-nav-logo.svg"
        width="160px"
      />
      <nuxt-img
        class="mobile"
        src="/nuxt-images/free-trial/free-trial-nav-logo-mobile.svg"
        width="25px"
      />
      <SlpButton href="https://gitlab.com/-/trials/new" variant="primary">
        Start free trial
        <SlpIcon
          class="learn-more-icon slp-ml-8"
          name="chevron-lg-right"
          variant="product"
        />
      </SlpButton>
    </nav>
    <Nuxt role="main" />
    <SlpMinimizedFooter />
  </div>
</template>

<style lang="scss" scoped>
nav {
  display: flex;
  justify-content: space-between;
  padding: 13px $spacing-32;
  left: 0;
  position: sticky;
  right: 0;
  top: 0;
  z-index: 1025;
  background: $color-surface-50;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);

  .mobile {
    display: none;
  }

  @media (max-width: $breakpoint-md) {
    flex-wrap: wrap;
    flex-direction: column-reverse;
    justify-content: center;
    padding: 0;
    &:deep(.slp-btn) {
      border-radius: 0;
      justify-content: center;
    }

    .desktop {
      display: none;
    }

    .mobile {
      display: block;
      margin: 12px auto;
    }
  }
}
</style>
